Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 792705 - sys-devel/gcc:11: backport request: c++: "perfect" implicitly deleted move [PR100644] (was: www-client/firefox-89 doesn't compile with gcc-11)
Summary: sys-devel/gcc:11: backport request: c++: "perfect" implicitly deleted move [P...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Toolchain Maintainers
URL: https://gcc.gnu.org/PR100644
Whiteboard:
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2021-05-28 21:17 UTC by Thomas Deutschmann
Modified: 2021-07-02 14:50 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2021-05-28 21:17:26 UTC
New www-client/firefox-89.0 doesn't build with gcc-11, see and https://bugzilla.mozilla.org/show_bug.cgi?id=1711525 https://bugzilla.mozilla.org/show_bug.cgi?id=1710235.

Upstream closed as INVALID, bug in GCC: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=100644
Comment 1 Larry the Git Cow gentoo-dev 2021-05-28 22:20:33 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/gcc-patches.git/commit/?id=f3f23b533c01b783dc53023f9b9f8fe343b151dc

commit f3f23b533c01b783dc53023f9b9f8fe343b151dc
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2021-05-28 22:19:31 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2021-05-28 22:19:31 +0000

    11.1.0: backport PR100644: c++: "perfect" implicitly deleted move
    
    Reported-by: Thomas Deutschmann
    Bug: https://bugs.gentoo.org/792705
    Bug: https://gcc.gnu.org/PR100644
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 .../gentoo/29_all_perfect-implicit-PR100644.patch  | 69 ++++++++++++++++++++++
 11.1.0/gentoo/README.history                       |  1 +
 2 files changed, 70 insertions(+)
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2021-05-28 22:22:11 UTC
https://gitweb.gentoo.org/proj/gcc-patches.git/tree/11.1.0/gentoo/29_all_perfect-implicit-PR100644.patch is queued for next gcc-11 patchset which should be cut in a few weeks.

Meanwhile you can give patch a try via /etc/portage/patches/sys-devel/gcc:11/ to see if it fixes things for you.
Comment 3 Larry the Git Cow gentoo-dev 2021-06-10 07:36:15 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/proj/gcc-patches.git/commit/?id=9d40799e2ef69d8650dd59325c0e84b902258b00

commit 9d40799e2ef69d8650dd59325c0e84b902258b00
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2021-06-10 07:28:54 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2021-06-10 07:28:54 +0000

    11.1.0: cut 2 patchset
    
    Five new patches:
    + 27_all_msp430-f2c.patch: fix build on 16-bit targets
    + 28_all_ctor-union-PR100489.patch: fix ICE on some c++ initializers
    + 29_all_perfect-implicit-PR100644.patch: fix move deletion (fireofx build)
    + 30_all_arm-lto-ICE-march-mix.patch: fix LTO ICE on arm -march=/-mtune mix
    + 31_all_ICE-tsubst-PR100102.patch:
    
    Bug: https://gcc.gnu.org/PR100361
    Bug: https://bugs.gentoo.org/788829
    Bug: https://gcc.gnu.org/PR100489
    Bug: https://gcc.gnu.org/PR100644
    Bug: https://bugs.gentoo.org/792705
    Bug: https://gcc.gnu.org/PR100767
    Bug: https://bugs.gentoo.org/792291
    Bug: https://bugs.gentoo.org/794775
    Bug: https://gcc.gnu.org/PR100102
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 11.1.0/gentoo/README.history | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 Larry the Git Cow gentoo-dev 2021-06-10 07:50:36 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b250f4243abd49acdd459751ae1e55c995bf9818

commit b250f4243abd49acdd459751ae1e55c995bf9818
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2021-06-10 07:39:30 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2021-06-10 07:50:31 +0000

    sys-devel/gcc: 11.1.0: cut 2 patchset
    
    Five new patches:
    + 27_all_msp430-f2c.patch: fix build on 16-bit targets
    + 28_all_ctor-union-PR100489.patch: fix ICE on some c++ initializers
    + 29_all_perfect-implicit-PR100644.patch: fix move deletion (fireofx build)
    + 30_all_arm-lto-ICE-march-mix.patch: fix LTO ICE on arm -march=/-mtune mix
    + 31_all_ICE-tsubst-PR100102.patch: fix ICE in c++ tempate substitution
    
    Bug: https://gcc.gnu.org/PR100361
    Bug: https://bugs.gentoo.org/788829
    Bug: https://gcc.gnu.org/PR100489
    Bug: https://gcc.gnu.org/PR100644
    Bug: https://bugs.gentoo.org/792705
    Bug: https://gcc.gnu.org/PR100767
    Bug: https://bugs.gentoo.org/792291
    Bug: https://bugs.gentoo.org/794775
    Bug: https://gcc.gnu.org/PR100102
    Package-Manager: Portage-3.0.19, Repoman-3.0.3
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 sys-devel/gcc/Manifest             |  1 +
 sys-devel/gcc/gcc-11.1.0-r1.ebuild | 21 +++++++++++++++++++++
 2 files changed, 22 insertions(+)
Comment 5 Sergei Trofimovich (RETIRED) gentoo-dev 2021-06-10 07:56:25 UTC
Should be fixed in gcc-11.1.0-r1.